Commit 976fd480 authored by Natanael Copa's avatar Natanael Copa

main/libxml2: upgrade to 2.7.6

parent 9cd6129a
# Contributor: Carlo Landmeter <clandmeter at gmail>
# Maintainer: Carlo Landmeter <clandmeter at gmail>
pkgname=libxml2
pkgver=2.7.3
pkgver=2.7.6
pkgrel=0
pkgdesc="XML parsing library, version 2"
url="http://www.xmlsoft.org/"
license="MIT"
depends="zlib"
depends=
makedepends="zlib-dev"
subpackages="$pkgname-doc $pkgname-dev"
source="ftp://ftp.xmlsoft.org/${pkgname}/${pkgname}-${pkgver}.tar.gz
nocxx.patch"
source="ftp://ftp.xmlsoft.org/${pkgname}/${pkgname}-${pkgver}.tar.gz"
build() {
cd "$srcdir/$pkgname-$pkgver"
patch configure < ../nocxx.patch
./configure --prefix=/usr \
--sysconfdir=/etc \
--mandir=/usr/share/man \
--infodir=/usr/share/info
make || return 1
make
}
package() {
cd "$srcdir/$pkgname-$pkgver"
make -j1 DESTDIR="$pkgdir" install
install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
}
md5sums="8f4fda3969237c2a33bdb1583b5d06b2 libxml2-2.7.3.tar.gz
28513788ba4d556ccd538867dc6205ab nocxx.patch"
md5sums="7740a8ec23878a2f50120e1faa2730f2 libxml2-2.7.6.tar.gz"
--- a/configure 2004-12-07 21:34:23.205172545 +0000
+++ b/configure 2004-12-07 21:37:17.726654782 +0000
@@ -5148,10 +5148,8 @@
:
else
{ { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&5
-echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
-See \`config.log' for more details." >&2;}
- { (exit 1); exit 1; }; }
+See \`config.log' for more details." >&5;}
+ { echo "C++ sucks, ignoring ..." >&5; }; }
fi
ac_ext=cc
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment